oracle.kv.exttab

## Class Publish

- java.lang.Object
- - oracle.kv.exttab.Publish

-     public class Publish
      extends Object

  The Publish utility writes information about how to connect to an Oracle NoSQL Database from an Oracle Database External Table. The configuration information is an XML document and includes NoSQL Database name, connection information, query restrictions, and record formatting specifications.

  Publish is invoked after the External Table has been defined, and writes the configuration information into each of the `LOCATION` files specified in the External Table definition. The External Table definition must contain a `PREPROCESSOR` clause which refers to the `Preproc` program. When a `SELECT` is invoked on the relevant External Table, the preprocessor is run and the configuration read from the location file (the preprocessor is invoked separately for each location file in the External Table). The preprocessor connects to the NoSQL Database, reads records according to the restrictions specified in the configuration, formats them using either default formatting or a user-supplied Binding class, and writes the records to stdout where the Oracle server reads them and imports them into the External Table.

  The Publish utility may be re-run anytime the relevant NoSQL Database connection or query information changes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Invokes the Publish utility.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(String[] args)

      Invokes the Publish utility. Arguments are:

               -config :
                    Specifies the pathname of the configuration file containing
                    information about the Oracle Database instance, the External
                    Table, the Oracle NoSQL Database, the (optional) Formatter
                    class, and any query restrictions.
               -publish:
                    writes the config data to the External Table Location file(s).
               -noexecute:
                    verify connectivity to the Oracle Database and Oracle NoSQL
                    Database, but do not write configuration information to the
                    Location file(s).
               -verbose:
                    Writes debugging output to the console.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.